package com.unissoft;

import java.util.LinkedHashMap;

/**
 * 常量类
 */
public class MyConstant {

    //服务名
    public static final String CSC_SZLS_CONFIG_SERVER = "csc-szls-config-server";
    public static final String CSC_SZLS_GATEWAY = "csc-szls-gateway";
    public static final String CSC_SZLS_OAUTH = "csc-szls-oauth";
    public static final String CSC_SZLS_BUSINESS = "csc-szls-business";
    public static final String CSC_SZLS_MESSAGE = "csc-szls-message";
    public static final String CSC_SZLS_UPMS_SYSTEM_MANAGE = "csc-szls-system-manage";
    //登录获取token接口地址
    public static final String OAUTH_TOKEN = "http://CSC-SZLS-OAUTH/oauth/token";
    public static final String SYSTEM_WAREHOUSE = "http://CSC-SZLS-SYSTEM-MANAGE/basicsWarehouse/authority/getByIdHouse?id=";
    public static final String SYSTEM_USER = "http://CSC-SZLS-SYSTEM-MANAGE/user/authority/getByUserId?id=";
    //文件系统桶名称，相当于文件目录
    public static final String BUCKET_NAME = "csc";
    public static final String ATTACHMENT_PATH = "poliyattachment";
    //是否
    public static final int ZERO = 0;
    public static final int ONE = 1;
    public static final int ONE_HUNDRED = 100;
    public static final int NEGATIVE_ONE = -1;
    public static final int TWO = 2;
    public static final int THREE = 3;
    public static final int FOUR = 4;
    public static final int SIXTY = 60;
    public static final double ZERO_POINT_FIVE = 0.5;
    public static final String ONE_STR = "1";
    public static final String THREE_STR = "3";

    public static final String TEN = "10";
    public static final String TWENTY = "20";
    public static final String THIRTY = "30";
    public static final String FORTY = "40";
    public static final String STR_TIME = " 00:00:00";
    public static final String STR_END = " 23:59:59";
    public static final String BURDEN_ZERO = "-00";

    public static final String LOGIN_USER = "loginUser";
    public static final String SPECIFIC_TIME = "specificTime";
    //请求认证头
    public static final String AUTHORIZATION = "Authorization";

    public static final String CLIENT_ID = "client_id";
    public static final String CLIENT_SECRET = "client_secret";
    public static final String USERNAME = "username";
    public static final String PASSWORD = "password";
    public static final String GRANT_TYPE = "grant_type";
    public static final String SCOPE = "scope";
    //登录成功获取里面的key
    public static final String ACCESS_TOKEN = "access_token";
    //超时时间
    public static final long TIME_OUT = 604800;
    //reids过期时间，单位秒默认3分钟
    public static final long REDIS_SECONDS = 180;

    //redis存入日志key
    public static final String REDIS_LOGS = "logs";

    //幂等
    public static final long TOKEN_OUT_TIME = 1800; //30分钟
    public static final String TOKEN_NAME = "token";
    public static final String TOKEN_CODE = "668";
    public static final String TOKEN_PREFIX = "token_";
    public static final String TOKEN_IS_NULL = "token_is_null";
    public static final String TOKEN_DONT_EXISTENT = "token_dont_existent";
    public static final String TOKEN_DEL_FAIL = "token_del_fail";
    public static final String CHARACTER_ENCODING = "UTF-8";
    public static final String CONTENT_TYPE = "text/html; charset=utf-8";
    public static final String CREATE_TOKEN_FAIL = "创建幂等token失败";
    //请求次数限制
    public static final String IP_UNKNOWN = "unknown";
    public static final String X_FORWARDED_FOR = "x-forwarded-for";
    public static final String PROXY_CLIENT_IP = "Proxy-Client-IP";
    public static final String WL_PROXY_CLIENT_IP = "WL-Proxy-Client-IP";
    public static final String SECOND_ACCESS = "SECOND_ACCESS";
    public static final String APPLICATION_JSON = "application/json; charset=utf-8";
    public static final String RETURN_MS = "操作太快了";

    //库外管理下
    public static final String M_INSECT = "虫害异常、";
    public static final String WATER_CONTENT = "水分检测异常、";
    public static final String GRAIN_CONDITION = "粮情异常、";
    public static final String M_CHECK_TYPE = "保管员每周检查粮情";
    public static final String SAFETY_INSPECTION = "每天安全巡查";

    public static final LinkedHashMap<String, String> GRADEMAP = new LinkedHashMap<String, String>() {{
        put("1", "初级");
        put("2", "中级");
        put("3", "高级");
        put("4", "技师");
        put("5", "高级技师");
    }};

}
