package com.unissoft.constant;

/**
 * @author qingsong.han
 * @description: 粮情检查静态变量
 * @create 2021-01-05 15:23
 */
public class GrainConstant {
    /**
     * 保管员每周检查粮情
     * 主管科长每2周检查粮情
     * 分管副总每月检查粮情
     * 总经理每季检查粮情
     */
    public static final Integer SECTION_CHIEF = 20;
    public static final Integer GUARDIAN = 19;
    public static final Integer DEPUTY_GENERAL = 21;
    public static final Integer GENERAL_MANAGER = 22;
    /**
     * 最新设施检查记录
     */
    public static final int KIND_LONG = 5;
    public static final int KIND_41 = 41; // 仓房设施
    public static final int KIND_42 = 42; // 消防设施
    public static final int KIND_43 = 43; // 计量设施
    public static final int KIND_44 = 44; // 药品库设施
    public static final int KIND_45 = 45; // 配电室设施

    public static final String STR_SECOND = "second";
    public static final String STR_MINUTE = "minute";
    public static final String STR_HOUR = "hour";
    public static final String STR_DAY = "day";
    public static final String STR_WEEKDAY = "weekday";
    public static final String STR_WEEK = "week";
    public static final String STR_MONTH = "month";
    public static final String STR_SEASON = "season";
    public static final String STR_YEAR = "year";


    public static final String STR_JOBNAME = "jobName";
    public static final String STR_CONTENT = "content";

    public static final String MQ_MSG_CHANNEL = "mqMsgChannel";
    public static final String MQ_USER_STATUS_CHANNEL = "mqUserStatusChannel";
    public static final String ONLINE_USERS = "websocket.onlineUsers";

    /*
     * 非空常量定义
     */
    public static final String DEPOT_HOUSE_NOT_NULL = "depotId and houseId is not null";

}
