package com.unissoft.dto;


import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 流程待办DTO
 *
 * @author YangZR
 * @date 2020年12月28日 15:34
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ProcessToBeDone {

    private String title;

    private String usersInfo;//用户

    private Date startDate;//办理开始时间

    private Date endDate;//办理结束时间

    private Integer levelDepotHouse;

    private String toPage;//办理页面url

    private String type;//流程类型
}
