package com.unissoft.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysNoticeVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 通知类型：10系统、20待办、30审批通过、40审批不通过、50警告
     */
    private Integer noticeType;

    /**
     * 通知时间
     */
    private Date noticeTime;

    /**
     * 标题
     */
    private String title;

    /**
     * 通知内容
     */
    private String content;

    /**
     * 仓号
     */
    private String warehouse;

    /**
     * 公司
     */
    private String orgName;

    /**
     * 申请人
     */
    private String applyName;

    /**
     * 申请部门
     */
    private String applyDept;
    
    /**
     * 模块
     * 
     */
    private String noticeModule;
    
    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    private Date createTime;
    
}
