package com.unissoft.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 枚举类参数抽取
 * @create 2021-02-09 15:01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BasicsEnumGain implements Serializable {
    private static final long serialVersionUID = -1114254127947073412L;

    // 枚举id
    private Integer enumId;

    // 菜单名称，不能为空
    private String enumName;

    // 父id，默认为0
    private Integer parentId;

    // 顺序
    private Integer enumOrder;

}
