package com.unissoft.model;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 资源-角色-关系表
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
@TableName("sys_resource_role")
public class SysResourceRole implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "rre_id", type = IdType.AUTO)
    private Integer rreId;
    /**
     * 资源id
     */
    @TableField("resource_id")
    private Integer resourceId;
    /**
     * 资源按钮（页面要权限控制的按钮,也是后台接口方法名,多个用逗号分隔）
     */
    @TableField("resource_button")
    private String resourceButton;
    /**
     * 角色id
     */
    @TableField("role_id")
    private Integer roleId;


    public Integer getRreId() {
        return rreId;
    }

    public void setRreId(Integer rreId) {
        this.rreId = rreId;
    }

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceButton() {
        return resourceButton;
    }

    public void setResourceButton(String resourceButton) {
        this.resourceButton = resourceButton;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    @Override
    public String toString() {
        return "SysResourceRole{" +
        ", rreId=" + rreId +
        ", resourceId=" + resourceId +
        ", resourceButton=" + resourceButton +
        ", roleId=" + roleId +
        "}";
    }
}
