package com.unissoft.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
public class SysUserDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    //主键
    private Integer uId;

    //用户名
    private String uName;

    //用于区分登录跳转那个页面（1.分公司领导首页 2.库主任及以上领导首页 3.员工首页）必填项
    private Integer homeType;

    //人员名称(姓名)
    private String personnelName;

    //人员id必填
    private Integer personnelId;

    //电话
    private String uPhone;

    //岗位（职务）
    private String pPost;

    //用户状态（1：正常，2：异常，3：禁用）
    private Integer uStatus;

    //头像地址
    private String pHeadPortrait;

    //所属库id
    private Integer depotId;

    //所属库名称
    private String depotName;

    //仓房id，多个使用‘,’号隔开
    private String storehouseIds;

    //仓房名称，多个使用‘,’号隔开
    private String storehouseNames;

    //角色id，多个使用‘,’号隔开
    private String roleIds;

    //角色名称，多个使用‘,’号隔开
    private String roleName;

    //所属公司id
    private Integer companyId;

    //所属公司名称
    private String companyName;

    //所属部门id
    private Integer departmentId;

    //所属部门名称
    private String departmentName;
}
