package com.unissoft.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class MessageVO implements Serializable {

    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 发送用户ID
     */
    private Integer fromUserId;

    /**
     * 接收用户ID
     */
    private Integer toUserId;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 类型：10注意，20完成，30警告，9999在线用户数
     */
    private Integer type;

    /**
     * 在线用户数
     */
    private Long onlineNum;

}
