package com.unissoft.dto;


import com.unissoft.model.SysResourceRole;

import java.util.List;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年11月17日 14:32
 */
public class ResourceRoleInfoDto {

    /**
     * 权限API路径匹配(注：即后台控制器名，后面带authority,或者authority_button(对应button字段)代表受权限控制)
     */
    private String urlPattern;
    /**
     * 按钮（页面要权限控制的按钮,也是后台接口方法名,多个用逗号分隔）
     */
    private String button;

    private Integer roleId;

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    /**
     * 权限API路径匹配(注：即后台控制器名，后面带authority,或者authority_button(对应button字段)代表受权限控制)
     * 所对应的角色信息
     */
    private List<SysResourceRole> sysResourceRoles;

    public String getUrlPattern() {
        return urlPattern;
    }

    public void setUrlPattern(String urlPattern) {
        this.urlPattern = urlPattern;
    }

    public String getButton() {
        return button;
    }

    public void setButton(String button) {
        this.button = button;
    }

    public List<SysResourceRole> getsysResourceRoles() {
        return sysResourceRoles;
    }

    public void setsysResourceRoles(List<SysResourceRole> sysResourceRoles) {
        this.sysResourceRoles = sysResourceRoles;
    }
}
