package com.unissoft.exception;

import com.unissoft.result.ResultView;

/**
 * 文件描述:自定义运行时异常
 *
 * @author tongxi.xia
 * @date 2020年11月17日 14:32
 */
public class MyRuntimeException extends RuntimeException {

    private ResultView resultView;

    public MyRuntimeException(ResultView resultView) {
        super(resultView.getMsg());
        this.resultView = resultView;
    }

    public ResultView getResultView() {
        return resultView;
    }

    public void setResultView(ResultView resultView) {
        this.resultView = resultView;
    }
}
