package com.unissoft.exception;

import lombok.Data;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2021年02月05日 14:02
 */
@Data
public class StudentException extends Exception {
    private String code;
    private String msg;

    public StudentException(String errorCode, String errorMsg) {
//        super(errorCode + "_" + errorMsg);
        this.code = errorCode;
        this.msg = errorMsg;
    }

    @Override
    public String toString() {
        return "StudentException{" +
                "code='" + code + '\'' +
                ", msg='" + msg + '\'' +
                '}';
    }

    @Override
    public Throwable fillInStackTrace() {
        return this;
    }
}
