package com.unissoft.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 首页地图返回数据对象
 * @create 2021-02-04 14:42
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BasicsDepotAL implements Serializable {
    private static final long serialVersionUID = 3010014922434050602L;

    private Integer depotId;
    private String  depotName;
    private String  name;
    private String  lon;
    private String  lat;
    private String  provinceCode;
    private String  cityCode;
    private String  areaCode;
}
