package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */

public class BasicsWarehouse implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "仓房id")
    @TableId(value = "h_id", type = IdType.AUTO)
    private Integer hId;

//    @ApiModelProperty(value = "仓房名称")
    @TableField("h_name")
    private String hName;

//    @ApiModelProperty(value = "粮食品种")
    @TableField("grain_varieties")
    private String grainVarieties;

//    @ApiModelProperty(value = "储粮状态")
    @TableField("storage_status")
    private String storageStatus;

//    @ApiModelProperty(value = "仓房状态")
    @TableField("warehouse_status")
    private String warehouseStatus;

//    @ApiModelProperty(value = "所属公司")
    @TableField("company_id")
    private Integer companyId;

//    @ApiModelProperty(value = "所属库")
    @TableField("depot_id")
    private Integer depotId;

//    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

//    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    public Integer gethId() {
        return hId;
    }

    public void sethId(Integer hId) {
        this.hId = hId;
    }

    public String gethName() {
        return hName;
    }

    public void sethName(String hName) {
        this.hName = hName;
    }

    public String getGrainVarieties() {
        return grainVarieties;
    }

    public void setGrainVarieties(String grainVarieties) {
        this.grainVarieties = grainVarieties;
    }

    public String getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(String storageStatus) {
        this.storageStatus = storageStatus;
    }

    public String getWarehouseStatus() {
        return warehouseStatus;
    }

    public void setWarehouseStatus(String warehouseStatus) {
        this.warehouseStatus = warehouseStatus;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public Integer getDepotId() {
        return depotId;
    }

    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    public String getCreatePeople() {
        return createPeople;
    }

    public void setCreatePeople(String createPeople) {
        this.createPeople = createPeople;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
