package com.unissoft.model;


import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author root
 * @since 2020-12-02
 */
public class SysUserPO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer uId;
    //    用户名
    private String uName;
    // "人员名称(姓名)")
    private String personnelName;
    //"用于区分登录跳转那个页面（1.分公司领导首页 2.库主任及以上领导首页 3.员工首页）必填项
    private Integer homeType;
    // "人员id必填")
    private Integer personnelId;
    //密码
    private String uPassword;
    //    所属库id
    private Integer depotId;
    //"所属库名称")
    private String depotName;
    //    仓房id，多个使用‘,’号隔开
    private String storehouseIds;
    //    角色id，多个使用‘,’号隔开
    private String roleIds;
    //    角色名称，多个使用‘,’号隔开
    private String roleName;

    //"所属公司名称")
    private String companyName;

   // "所属部门id")
    private Integer departmentId;
    // "所属公司id")
    private Integer companyId;

    //"所属部门名称")
    private String departmentName;

    public Integer getuId() {
        return uId;
    }

    public void setuId(Integer uId) {
        this.uId = uId;
    }

    public String getuName() {
        return uName;
    }

    public void setuName(String uName) {
        this.uName = uName;
    }

    public String getPersonnelName() {
        return personnelName;
    }

    public void setPersonnelName(String personnelName) {
        this.personnelName = personnelName;
    }

    public Integer getHomeType() {
        return homeType;
    }

    public void setHomeType(Integer homeType) {
        this.homeType = homeType;
    }

    public Integer getPersonnelId() {
        return personnelId;
    }

    public void setPersonnelId(Integer personnelId) {
        this.personnelId = personnelId;
    }

    public String getuPassword() {
        return uPassword;
    }

    public void setuPassword(String uPassword) {
        this.uPassword = uPassword;
    }

    public Integer getDepotId() {
        return depotId;
    }

    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    public String getDepotName() {
        return depotName;
    }

    public void setDepotName(String depotName) {
        this.depotName = depotName;
    }

    public String getStorehouseIds() {
        return storehouseIds;
    }

    public void setStorehouseIds(String storehouseIds) {
        this.storehouseIds = storehouseIds;
    }

    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Integer departmentId) {
        this.departmentId = departmentId;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    @Override
    public String toString() {
        return "SysUserPO{" +
                "uId=" + uId +
                ", uName='" + uName + '\'' +
                ", personnelName='" + personnelName + '\'' +
                ", homeType=" + homeType +
                ", personnelId=" + personnelId +
                ", uPassword='" + uPassword + '\'' +
                ", depotId=" + depotId +
                ", depotName='" + depotName + '\'' +
                ", storehouseIds='" + storehouseIds + '\'' +
                ", roleIds='" + roleIds + '\'' +
                ", roleName='" + roleName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", departmentId=" + departmentId +
                ", companyId=" + companyId +
                ", departmentName='" + departmentName + '\'' +
                '}';
    }
}
